Application: gvSIG desktop - gvSIG bugs #5627
Error al mostrar lista en relacion maestro detalle entre dos tablas
04/23/2021 02:37 PM - Victor Montes Camara

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:

Category:

Target version: 2.6.0-3221

Severity: Minor Add-on version:

gvSIG version: 2.6.0 Add-on build:

gvSIG build: 3219 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto: AYTOA 1
Has patch: Hito: Fase 01
Add-on name: Unknown

Description

Cuando definimos una relacién maestro detalle entre dos tablas y en la tabla maestro ponemos un campo de tipo lista para mostrar
los posibles valores de la tabla detalle para un elemento de la tabla maestro, si la lista es muy grande no aparece una barra de scroll
en el control de lista y no se pueden visualizar todos los elementos.

Associated revisions

Revision 45660 - 04/28/2021 09:44 PM - Joaquin del Cerro Murciano

refs #5627, afadidas barras de desplazamiento en el form de link de JDynFormFieldForeingKey.

History

#1 - 04/23/2021 02:50 PM - Victor Montes Camara

Lo anterior no es correcto. En ese caso si se ven los elementos.

Cuando no se ven es cuando en la tabla detalle definimos la clave ajena. Si la ponemos como "Es lista cerrada”, creara una lista desplegable y si hay
muchos elementos no aparecen todos.

Si no lo ponemos como lista cerrada, en el formulario, al darle al boton "Select item to link" aparece un cuadro de lista, en el que si hay muchos

elementos nuevamente no aparecen todos.

#2 - 04/28/2021 09:37 PM - Joaquin del Cerro Murciano
- gvSIG build set to 3219
- Target version set to 2.6.0-3221

Victor Montes Camara wrote:
Lo anterior no es correcto. En ese caso si se ven los elementos.

Cuando no se ven es cuando en la tabla detalle definimos la clave ajena. Si la ponemos como "Es lista cerrada”, creara una lista desplegable y si
hay muchos elementos no aparecen todos.

El marcarlo como "lista cerrada" esta pensado para diccionarios con listas de valores cerrados, con solo unos pocos valores. Si son "pocos”, 10, 20,

muestra estos como una menu de popup, si son mas, como un combo, y pone barras de scroll. En cualquier caso al marcarlo como lista cerrada carga
todos los valores en memoria, y ya no vuelbe a recargarlos mientras gvSIG este en marcha. No puedes asumir que al marcarlo como lista cerrada te
cargue todos los elementos cuando hayan cientos. Si no lo hace ahora mismo, que no recuerdo, es posible que como medida de seguridad lo

restrinjamos en un futuro y pongamos un limite a los elementos a cargar.
Si no lo ponemos como lista cerrada, en el formulario, al darle al botén "Select item to link" aparece un cuadro de lista, en el que si hay muchos
elementos nuevamente no aparecen todos.

El no marcarlo como que no es una lista cerrada, lo primero es que no se cargan en memoria, con lo que es lo adecuado para casos en los que en la

relacion intervengan muchos registros.

Probandolo, lo que hemos visto es que hay un error muy muy muy tonto en el GUI.
iiSe nos ha pasado ponerle las barras de scroll a la lista!!

No se si sera solo eso lo que te estaba pasando.
Cuando tengamos un rato se las pondremos.
#3 - 04/28/2021 09:37 PM - Joaquin del Cerro Murciano

- Hito set to Fase 01

#4 - 04/29/2021 06:36 PM - Joaquin del Cerro Murciano
- Status changed from New to Fixed

#5 - 05/19/2021 11:39 AM - Alvaro Anguix
- Status changed from Fixed to Closed
